Subject: Re: bug#39164: 27.0.60; Intermittent crash on MacOS 10.14 in setup_process_coding_systems

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 Jan 2020 11:02:52 +0200

On January 28, 2020 10:23:25 AM GMT+02:00, YAMAMOTO Mitsuharu <[email-masked]> wrote:
> On Tue, 28 Jan 2020 16:59:35 +0900,
> Robert Pluim wrote:
> > 
> > This will break {p}select, no? Thatʼs defined to only work up to
> > FD_SETSIZE.
> 
> Yes.  I'm currently thinking about adding the following workaround to
> the next release of the Mac port.  It is not a perfect solution, but
> the Mac port is still based on Emacs 26, and I don't want to make a
> drastic change there.

I'm not sure I understand the implication.  How will this workaround ensure starting a  subprocess doesn't produce a file descriptor beyond FD_SETSIZE?  Maybe all I'm missing is under what conditions will the code you propose be called.